HP OfficePro 7740: only one tray available (solved)

Asked by SwissEagle on 2016-11-20

Hello
I'm Using Ubuntu 16.04.
I just installed HP OfficeJet 7740 with HPLIP 3.16.10.
Printing and scanning are working fine.
Problem is that I cannot choose the tray.
Because envelopes have to be put in the tray #1, I had to put sheets in try #2. Problem: I cannot choose tray #2 (Output Tray is either "not available" or, from LibreOffice, I have one choice: "Main Tray".

Does the problem come from my installation? Do you think you could help?

After over 2 weeks, no one could help. But I still have the problem (now I use HPLIP 3.16.11).
Is there any hope, this issue would be fixed with a future update of HPLIP?
Thanks a lot in advance and best regards.

John (Switzerland)

-----------------------------------------------------------
hp-check.log starts here:
-----------------------------------------------------------
hp-check[8000]: info: :
hp-check[8000]: info: :HP Linux Imaging and Printing System (ver. 3.16.10)
hp-check[8000]: info: :Dependency/Version Check Utility ver. 15.1
hp-check[8000]: info: :
hp-check[8000]: info: :Copyright (c) 2001-15 HP Development Company, LP
hp-check[8000]: info: :This software comes with ABSOLUTELY NO WARRANTY.
hp-check[8000]: info: :This is free software, and you are welcome to distribute it
hp-check[8000]: info: :under certain conditions. See COPYING file for more details.
hp-check[8000]: info: :
hp-check[8000]: info: :Note: hp-check can be run in three modes:
hp-check[8000]: info: :1. Compile-time check mode (-c or --compile): Use this mode before compiling the
hp-check[8000]: info: :HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
hp-check[8000]: info: :are installed to successfully compile HPLIP.
hp-check[8000]: info: :2. Run-time check mode (-r or --run): Use this mode to determine if a distro
hp-check[8000]: info: :supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball
hp-check[8000]: info: :has the proper dependencies installed to successfully run.
hp-check[8000]: info: :3. Both compile- and run-time check mode (-b or --both) (Default): This mode
hp-check[8000]: info: :will check both of the above cases (both compile- and run-time dependencies).
hp-check[8000]: info: :
hp-check[8000]: info: :Check types:
hp-check[8000]: info: :a. EXTERNALDEP - External Dependencies
hp-check[8000]: info: :b. GENERALDEP - General Dependencies (required both at compile and run time)
hp-check[8000]: info: :c. COMPILEDEP - Compile time Dependencies
hp-check[8000]: info: :d. [All are run-time checks]
hp-check[8000]: info: :PYEXT SCANCONF QUEUES PERMISSION
hp-check[8000]: info: :
hp-check[8000]: info: :Status Types:
hp-check[8000]: info: : OK
hp-check[8000]: info: : MISSING - Missing Dependency or Permission or Plug-in
hp-check[8000]: info: : INCOMPAT - Incompatible dependency-version or Plugin-version
hp-check[8000]: info: :
hp-check[8000]: info: :
hp-check[8000]: info: :---------------
hp-check[8000]: info: :| SYSTEM INFO |
hp-check[8000]: info: :---------------
hp-check[8000]: info: :
hp-check[8000]: info: : Kernel: 4.4.0-47-generic #68-Ubuntu SMP Wed Oct 26 19:39:52 UTC 2016 GNU/Linux
 Host: ad-HP-ProDesk-400-G3-MT
 Proc: 4.4.0-47-generic #68-Ubuntu SMP Wed Oct 26 19:39:52 UTC 2016 GNU/Linux
 Distribution: 12 16.04
hp-check[8000]: info: : Bitness: 64 bit

hp-check[8000]: info: :
hp-check[8000]: info: :-----------------------
hp-check[8000]: info: :| HPLIP CONFIGURATION |
hp-check[8000]: info: :-----------------------
hp-check[8000]: info: :
hp-check[8000]: info: :HPLIP-Version: HPLIP 3.16.10
hp-check[8000]: info: :HPLIP-Home: /usr/share/hplip
hp-check[8000]: info: :HPLIP-Installation: Auto installation is supported for ubuntu distro 16.04 version
hp-check[8000]: info: :
hp-check[8000]: info: :Current contents of '/etc/hp/hplip.conf' file:
hp-check[8000]: info: :# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.16.10

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.16.10
html=/usr/share/doc/hplip-3.16.10
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.16.10
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=yes

hp-check[8000]: info: :
hp-check[8000]: info: :Current contents of '/var/lib/hp/hplip.state' file:
hp-check[8000]: info: :Plugins are not installed. Could not access file: No such file or directory
hp-check[8000]: info: :
hp-check[8000]: info: :Current contents of '~/.hplip/hplip.conf' file:
hp-check[8000]: info: :[upgrade]
notify_upgrade = true
last_upgraded_time = 1479652186
pending_upgrade_time = 0

[installation]
date_time = 20. 11. 16 15:33:40
version = 3.16.10

hp-check[8000]: info: : <Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>
hp-check[8000]: info: :
hp-check[8000]: info: :--------------
hp-check[8000]: info: :| COMPILEDEP |
hp-check[8000]: info: :--------------
hp-check[8000]: info: :
hp-check[8000]: info: : gcc gcc - GNU Project C and C++ Compiler REQUIRED - 5.4.0 OK -
hp-check[8000]: info: : make make - GNU make utility to maintain groups of programs REQUIRED 3.0 4.1 OK -
hp-check[8000]: info: : libtool libtool - Library building support services REQUIRED - 2.4.6 OK -
hp-check[8000]: info: :
hp-check[8000]: info: :------------------------
hp-check[8000]: info: :| General Dependencies |
hp-check[8000]: info: :------------------------
hp-check[8000]: info: :
hp-check[8000]: info: : libcrypto libcrypto - OpenSSL cryptographic library REQUIRED - 1.0.2 OK -
hp-check[8000]: info: : python-xml Python XML libraries REQUIRED - 2.1.0 OK -
hp-check[8000]: info: : libnetsnmp-devel libnetsnmp-devel - SNMP networking library development files REQUIRED 5.0.9 5.7.3 OK -
hp-check[8000]: info: : sane-devel SANE - Scanning library development files REQUIRED - 1.0.25 OK -
hp-check[8000]: info: : pil PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL - 1.1.7 OK -
hp-check[8000]: info: : pyqt4-dbus PyQt 4 DBus - DBus Support for PyQt4 REQUIRED 4.0 4.11.4 OK -
hp-check[8000]: info: : libpthread libpthread - POSIX threads library REQUIRED - 2.23 OK -
hp-check[8000]: info: : python-devel Python devel - Python development files REQUIRED 2.2 2.7.12 OK -
hp-check[8000]: info: : cups-devel CUPS devel- Common Unix Printing System development files REQUIRED - 2.1.3 OK -
hp-check[8000]: info: : python-dbus Python DBus - Python bindings for DBus REQUIRED 0.80.0 1.2.0 OK -
hp-check[8000]: info: : cups-ddk CUPS DDK - CUPS driver development kit OPTIONAL - - OK -
hp-check[8000]: info: : reportlab Reportlab - PDF library for Python OPTIONAL 2.0 3.3.0 OK -
hp-check[8000]: info: : pyqt4 PyQt 4- Qt interface for Python (for Qt version 4.x) REQUIRED 4.0 4.11.4 OK -
hp-check[8000]: info: : libusb libusb - USB library REQUIRED - 1.0 OK -
hp-check[8000]: info: : cups-image CUPS image - CUPS image development files REQUIRED - 2.1.3 OK -
hp-check[8000]: info: : python2X Python 2.2 or greater - Python programming language REQUIRED 2.2 2.7.12 OK -
hp-check[8000]: info: : python-notify Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL - - OK -
hp-check[8000]: info: : libjpeg libjpeg - JPEG library REQUIRED - - OK -
hp-check[8000]: info: : sane SANE - Scanning library REQUIRED - 1.0.25 OK -
hp-check[8000]: info: :
hp-check[8000]: info: :----------------------
hp-check[8000]: info: :| Scan Configuration |
hp-check[8000]: info: :----------------------
hp-check[8000]: info: :
hp-check[8000]: info: : scanext Scan-SANE-Extension REQUIRED - 3.16.10 OK -
hp-check[8000]: info: : hpaio HPLIP-SANE-Backend REQUIRED - 3.16.10 OK 'hpaio found in /etc/sane.d/dll.conf'
hp-check[8000]: info: :
hp-check[8000]: info: :-------------------------
hp-check[8000]: info: :| External Dependencies |
hp-check[8000]: info: :-------------------------
hp-check[8000]: info: :
hp-check[8000]: info: : gs GhostScript - PostScript and PDF language interpreter and previewer REQUIRED 7.05 9.18 OK -
hp-check[8000]: info: : cups CUPS - Common Unix Printing System REQUIRED 1.1 2.1.3 OK 'CUPS Scheduler is running'
hp-check[8000]: info: : network network -wget OPTIONAL - 1.17.1 OK -
hp-check[8000]: info: : scanimage scanimage - Shell scanning program OPTIONAL 1.0 1.0.25 OK -
hp-check[8000]: info: : policykit PolicyKit - Administrative policy framework OPTIONAL - 0.105 OK -
hp-check[8000]: info: : xsane xsane - Graphical scanner frontend for SANE OPTIONAL 0.9 0.999 OK -
hp-check[8000]: info: : dbus DBus - Message bus system REQUIRED - 1.10.6 OK -
hp-check[8000]: info: : avahi-utils avahi-utils OPTIONAL - 0.6.32 OK -
hp-check[8000]: info: :
hp-check[8000]: info: :---------------------
hp-check[8000]: info: :| Python Extentions |
hp-check[8000]: info: :---------------------
hp-check[8000]: info: :
hp-check[8000]: info: : hpmudext IO-Extension REQUIRED - 3.16.10 OK -
hp-check[8000]: info: : cupsext CUPS-Extension REQUIRED - 3.16.10 OK -
hp-check[8000]: info: :
hp-check[8000]: info: :------------------------------
hp-check[8000]: info: :| DISCOVERED SCANNER DEVICES |
hp-check[8000]: info: :------------------------------
hp-check[8000]: info: :
hp-check[8000]: info: :device `hpaio:/usb/OfficeJet_Pro_7740_series?serial=CN688350HC' is a Hewlett-Packard OfficeJet_Pro_7740_series all-in-one

hp-check[8000]: info: :
hp-check[8000]: info: :--------------------------
hp-check[8000]: info: :| DISCOVERED USB DEVICES |
hp-check[8000]: info: :--------------------------
hp-check[8000]: info: :
hp-check[8000]: info: : Device URI Model
hp-check[8000]: info: : -------------------------------- ----------------------------
hp-check[8000]: info: : hp:/usb/OfficeJet_Pro_7740_serie HP OfficeJet Pro 7740 series
  s?serial=CN688350HC
hp-check[8000]: info: :
hp-check[8000]: info: :---------------------------------
hp-check[8000]: info: :| INSTALLED CUPS PRINTER QUEUES |
hp-check[8000]: info: :---------------------------------
hp-check[8000]: info: :
hp-check[8000]: info: :
hp-check[8000]: info: :OfficeJet_Pro_7740
hp-check[8000]: info: :------------------
hp-check[8000]: info: :Type: Printer
hp-check[8000]: info: :Device URI: hp:/usb/OfficeJet_Pro_7740_series?serial=CN688350HC
hp-check[8000]: info: :PPD: /etc/cups/ppd/OfficeJet_Pro_7740.ppd
warning: Failed to read /etc/cups/ppd/OfficeJet_Pro_7740.ppd ppd file
hp-check[8000]: info: :PPD Description:
hp-check[8000]: info: :Printer status: printer OfficeJet_Pro_7740 is idle. enabled since dim 20 nov 2016 15:32:42 CET
 ready to print
hp-check[8000]: info: :Communication status: Good
hp-check[8000]: info: :
hp-check[8000]: info: :OfficeJet_Pro_7740_fax
hp-check[8000]: info: :----------------------
hp-check[8000]: info: :Type: Fax
hp-check[8000]: info: :Device URI: hpfax:/usb/OfficeJet_Pro_7740_series?serial=CN688350HC
hp-check[8000]: info: :PPD: /etc/cups/ppd/OfficeJet_Pro_7740_fax.ppd
warning: Failed to read /etc/cups/ppd/OfficeJet_Pro_7740_fax.ppd ppd file
hp-check[8000]: info: :PPD Description:
hp-check[8000]: info: :Printer status: printer OfficeJet_Pro_7740_fax is idle. enabled since dim 20 nov 2016 15:31:29 CET
hp-check[8000]: info: :Communication status: Good
hp-check[8000]: info: :
hp-check[8000]: info: :
hp-check[8000]: info: :--------------
hp-check[8000]: info: :| PERMISSION |
hp-check[8000]: info: :--------------
hp-check[8000]: info: :
hp-check[8000]: info: :USB OfficeJet_Pro_7740 Required - - OK Node:'/dev/bus/usb/001/010' Perm:' root lp rw- rw- rw- rw- r--'
hp-check[8000]: info: :No errors or warnings.
hp-check[8000]: info: :
hp-check[8000]: info: :Done.

Question information

Language:
English Edit question
Status:
Expired
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Last query:
2016-12-09
Last reply:
2016-12-25
Launchpad Janitor (janitor) said : #1

This question was expired because it remained in the 'Open' state without activity for the last 15 days.

SwissEagle (6-ubqntu-u) said : #2

Please, anyone to help? I still need a way to use my printers with Ubuntu! Thank you in advance.

Launchpad Janitor (janitor) said : #3

This question was expired because it remained in the 'Open' state without activity for the last 15 days.

SwissEagle (6-ubqntu-u) said : #4

The case has been reported in the "bug section". A fix has been released.

Find it here: https://bugs.launchpad.net/hplip/+bug/1649550

A huge Thank you to the team!
John

Eric Smith (spacewar) said : #5

The "released" fix is not present in any released source code tarballs, including 3.17.6 and 3.17.7.

Eric Smith (spacewar) said : #6

Finally fixed in 3.17.11.